# No SOURCE spec-file
#
#
%define oname floorp
%define mozillalibdir %{_libdir}/%{oname}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Floorp web browser
Name:		floorp-browser
Version:	11.12.2
Release:	%mkrel 1
License:	MPLv1+
Group:	Networking/WWW
URL: https://floorp.app/en/
Source3:	%{oname}.png
Source4:	%{oname}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Floorp is built on Firefox and was built in Japan and is a new browser with excellent privacy & flexibility.

%prep
#Here we go!
cd %_builddir
wget -nc https://github.com/Floorp-Projects/Floorp/releases/download/v%{version}/floorp-%{version}.linux-x86_64.tar.bz2
tar -xf floorp-%{version}.linux-x86_64.tar.bz2

%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r floorp/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/floorp %{buildroot}%{_bindir}/floorp

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{oname}.png


%post
%update_menus
update-desktop-database &> /dev/null ||:

%postun
%clean_menus
update-desktop-database &> /dev/null ||:''

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Tue Apr 23 2024 tex - 11.12.2-1pclos2024
- new version

* Mon Apr 15 2024 tex - 11.12.0-1pclos2024
- new version

* Sat Apr 13 2024 tex - 11.11.2-1pclos2024
- new version

* Fri Mar 22 2024 tex - 11.11.1-1pclos2024
- new version

* Sat Mar 02 2024 tex - 11.10.5-1pclos2024
- new version

* Fri Feb 09 2024 tex - 11.90-1pclos2024
- new version

* Fri Jan 26 2024 tex - 11.8.2-1pclos2024
- new version

* Thu Jan 18 2024 tex - 11.8.1-1pclos2024
- new version

* Tue Jan 09 2024 tex - 11.7.1-1pclos2024
- new version

* Tue Dec 19 2023 tex - 11.7.0-1pclos2023
- new version

* Wed Nov 29 2023 tex - 11.6.1-1pclos2023
- new version

* Sun Oct 29 2023 tex - 11.5.1-1pclos2023
- new version

* Tue Oct 24 2023 tex - 11.5.0-1pclos2023
- new version

* Fri Sep 29 2023 tex - 11.4.1-1pclos2023
- new version

* Mon Sep 25 2023 tex - 11.4.0-1pclos2023
- new version

* Fri Sep 15 2023 tex - 11.3.3-1pclos2023
- new version

* Tue Sep 05 2023 tex- 11.3.0-1pclos2023
- create pkg
